Bug 128136 - gdb info not available for non-root users
gdb info not available for non-root users
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elena Zannoni
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-19 03:09 EDT by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: gdb-6.1post-1.20040607.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-29 00:22:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-07-19 03:09:48 EDT
$ info gdb
sh: line 1: /usr/share/info/gdb.info.gz: Permission denied
(shows man page)
$ ls -l /usr/share/info/gdb*
-rw-------  1 root root 250016 Jun 23 22:40 /usr/share/info/gdb.info.gz
-rw-------  1 root root  88314 Jun 23 22:40 /usr/share/info/gdbint.info.gz
[...]

Version-Release number of selected component (if applicable):
gdb-6.1post-1.20040607.8
Comment 1 Elliot Lee 2004-07-22 11:19:20 EDT
This is a problem with the gdb.spec - using %attr is one way to fix it.
Comment 2 Elena Zannoni 2004-07-27 14:34:39 EDT
Hmm, I didn't change the %files section of the gdb.spec in ages, I
wonder what's going on, when I install it, it is readable.

[ezannoni@toffee ezannoni]$ rpm -q gdb
gdb-6.1post-1.20040607.9


-rw-r--r--    1 root     root       246503 Jun 24 16:17
/usr/share/info/gdb.info-1.gz
-rw-r--r--    1 root     root         4429 Jun 24 16:17
/usr/share/info/gdb.info.gz
-rw-r--r--    1 root     root        87831 Jun 24 16:17
/usr/share/info/gdbint.info-1.gz
-rw-r--r--    1 root     root         1200 Jun 24 16:17
/usr/share/info/gdbint.info.gz
-rw-r--r--    1 root     root         8649 Jan 25  2003
/usr/share/info/gdbm.info.gz

Comment 3 Alexandre Oliva 2004-07-27 15:15:29 EDT
Please push .9 into rawhide.  .8, built the day before, has the problem.
Comment 4 Elena Zannoni 2004-07-27 16:19:40 EDT
There is no difference between .8 and .9 wrt info files, hence my
questions
Comment 5 John Flanagan 2004-12-21 14:37:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-561.html

Note You need to log in before you can comment on or make changes to this bug.